import { useState, useEffect } from "react";
import { Canvas } from "@canvas-js/core";
import { useLiveQuery as _useLiveQuery } from "@canvas-js/modeldb/idb";
export const useCanvas = (config) => {
    const [app, setApp] = useState();
    const [error, setError] = useState();
    // TODO: ensure effect hook re-runs on param changes
    useEffect(() => {
        Canvas.initialize(config)
            .then((app) => {
            setApp(app);
        })
            .catch((error) => {
            setError(error);
        });
    }, []);
    return { app, error };
};
export function useLiveQuery(app, modelName, query = {}) {
    return _useLiveQuery(app?.db, modelName, query);
}
